- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_POA_Manager Class Reference

`#include <POAManager.h>`

Inheritance diagram for TAO_POA_Manager:

[legend]
Collaboration diagram for TAO_POA_Manager:

[legend]
List of all members.

## Public Member Functions
void | activate () throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)
void | hold_requests (CORBA::Boolean wait_for_completion) throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)
void | discard_requests (CORBA::Boolean wait_for_completion) throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)
void | deactivate (CORBA::Boolean etherealize_objects, CORBA::Boolean wait_for_completion) throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)
PortableServer::POAManager::State | get_state () throw (CORBA::SystemException)
| TAO_POA_Manager (TAO_Object_Adapter &object_adapter)
| ~TAO_POA_Manager (void)
PortableInterceptor::AdapterManagerId | get_manager_id ()
void | check_state ()
| Check the state of this POA manager.
PortableServer::POAManager::State | get_state_i () throw (CORBA::SystemException)
virtual CORBA::ORB_ptr | _get_orb ()
## Protected Types
typedef ACE_Unbounded_Set< TAO_Root_POA * > | POA_COLLECTION
## Protected Member Functions
void | activate_i () throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)
void | deactivate_i (CORBA::Boolean etherealize_objects, CORBA::Boolean wait_for_completion) throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)
void | adapter_manager_state_changed (PortableServer::POAManager::State state) throw (CORBA::SystemException)
void | hold_requests_i (CORBA::Boolean wait_for_completion) throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)
void | discard_requests_i (CORBA::Boolean wait_for_completion) throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)
ACE_Lock & | lock (void)
int | remove_poa (TAO_Root_POA *poa)
int | register_poa (TAO_Root_POA *poa)
PortableInterceptor::AdapterManagerId | generate_manager_id (void) const
## Protected Attributes
PortableServer::POAManager::State | state_
ACE_Lock & | lock_
POA_COLLECTION | poa_collection_
TAO_Object_Adapter & | object_adapter_
PortableInterceptor::AdapterManagerId | poa_manager_id_
## Friends
class | TAO_Root_POA
class | TAO_Object_Adapter

## Member Typedef Documentation

typedef ACE_Unbounded_Set<TAO_Root_POA *> TAO_POA_Manager::POA_COLLECTION`[protected]`

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_POA_Manager::TAO_POA_Manager | ( | TAO_Object_Adapter & | object_adapter | ) |

TAO_POA_Manager::~TAO_POA_Manager | ( | void |  | ) |

## Member Function Documentation

CORBA::ORB_ptr TAO_POA_Manager::_get_orb | ( |  | ) | `[virtual]`

Reimplemented from CORBA::LocalObject.

ACE_INLINE void TAO_POA_Manager::activate | ( |  | ) | throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)`[virtual]`

Implements PortableServer::POAManager.

void TAO_POA_Manager::activate_i | ( |  | ) | throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)`[protected]`

void TAO_POA_Manager::adapter_manager_state_changed | ( | PortableServer::POAManager::State | state | ) | throw (CORBA::SystemException)`[protected]`

Method needed for notifying the IORInterceptors that the state of POAManager changed.

void TAO_POA_Manager::check_state | ( |  | ) |

Check the state of this POA manager.

ACE_INLINE void TAO_POA_Manager::deactivate | ( | CORBA::Boolean | etherealize_objects,
|  | CORBA::Boolean | wait_for_completion |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)

void TAO_POA_Manager::deactivate_i | ( | CORBA::Boolean | etherealize_objects,
|  | CORBA::Boolean | wait_for_completion |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)`[protected]`

ACE_INLINE void TAO_POA_Manager::discard_requests | ( | CORBA::Boolean | wait_for_completion | ) | throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)

void TAO_POA_Manager::discard_requests_i | ( | CORBA::Boolean | wait_for_completion | ) | throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)`[protected]`

ACE_INLINE PortableInterceptor::AdapterManagerId TAO_POA_Manager::generate_manager_id | ( | void |  | ) | const`[protected]`

Generate an AdapterManagerId for this POAManager.

Returns:
  A value that uniquely identifies the POAManager within a given process.

PortableInterceptor::AdapterManagerId TAO_POA_Manager::get_manager_id | ( |  | ) |

ACE_INLINE PortableServer::POAManager::State TAO_POA_Manager::get_state | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Implements PortableServer::POAManager.

ACE_INLINE PortableServer::POAManager::State TAO_POA_Manager::get_state_i | ( |  | ) | throw (CORBA::SystemException)

ACE_INLINE void TAO_POA_Manager::hold_requests | ( | CORBA::Boolean | wait_for_completion | ) | throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)

void TAO_POA_Manager::hold_requests_i | ( | CORBA::Boolean | wait_for_completion | ) | throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)`[protected]`

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_Lock & TAO_POA_Manager::lock | ( | void |  | ) | `[protected]`

int TAO_POA_Manager::register_poa | ( | TAO_Root_POA * | poa | ) | `[protected]`

int TAO_POA_Manager::remove_poa | ( | TAO_Root_POA * | poa | ) | `[protected]`

## Friends And Related Function Documentation

friend class TAO_Object_Adapter`[friend]`

friend class TAO_Root_POA`[friend]`

## Member Data Documentation

ACE_Lock& TAO_POA_Manager::lock_`[protected]`

TAO_Object_Adapter& TAO_POA_Manager::object_adapter_`[protected]`

POA_COLLECTION TAO_POA_Manager::poa_collection_`[protected]`

PortableInterceptor::AdapterManagerId TAO_POA_Manager::poa_manager_id_`[protected]`

PortableServer::POAManager::State TAO_POA_Manager::state_`[protected]`

The documentation for this class was generated from the following files:

- POAManager.h
- POAManager.cpp
- POAManager.i